Skip to main content
POST
/
v1
/
engagements
Create Engagement
curl --request POST \
  --url https://{tenant}.mindbridge.ai/api/v1/engagements \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "organizationId": "<string>",
  "name": "<string>",
  "libraryId": "<string>",
  "auditPeriodEndDate": "2023-12-25",
  "accountingPackage": "<string>",
  "industry": "<string>",
  "engagementLeadId": "<string>",
  "emailSubscriptions": {},
  "billingCode": "<string>",
  "settingsBasedOnEngagementId": "<string>",
  "reportingPeriodConfigurationId": "<string>",
  "auditorIds": [
    "<string>"
  ]
}
'
{
  "id": "<string>",
  "version": 123,
  "creationDate": "2023-11-07T05:31:56Z",
  "lastModifiedDate": "2023-11-07T05:31:56Z",
  "createdUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "lastModifiedUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "organizationId": "<string>",
  "name": "<string>",
  "billingCode": "<string>",
  "libraryId": "<string>",
  "accountingPeriod": {
    "fiscalStartMonth": 123,
    "fiscalStartDay": 123
  },
  "auditPeriodEndDate": "2023-12-25",
  "accountingPackage": "<string>",
  "industry": "<string>",
  "engagementLeadId": "<string>",
  "reportingPeriodConfigurationId": "<string>",
  "auditorIds": [
    "<string>"
  ],
  "emailSubscriptions": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
organizationId
string
required

Identifies the organization.

name
string
required

The name of the engagement.

Maximum string length: 80
libraryId
string
required

Identifies the library.

auditPeriodEndDate
string<date>
required

The last day of the occurring audit.

accountingPackage
string
required

The ERP or financial management system that your client is using.

Minimum string length: 1
industry
string
required

The type of industry that your client operates within.

Minimum string length: 1
engagementLeadId
string
required

Identifies the user who will lead the engagement.

emailSubscriptions
object
required

Identifies the users who will receive email notifications related to this engagement.

billingCode
string

A unique code that associates engagements and analyses with clients to ensure those clients are billed appropriately for MindBridge usage.

accountingPeriod
Accounting Period · object

Details about the accounting period.

settingsBasedOnEngagementId
string

Identifies the engagement that the settings are based on.

reportingPeriodConfigurationId
string

Identifies the associated reporting period configuration. If null the analyses use a standard reporting period.

auditorIds
string[]

Identifies the users who will act as auditors in the engagement.

Response

201 - application/json

Created

id
string

The unique object identifier.

version
integer<int64>

Indicates the data integrity version to ensure data consistency.

creationDate
string<date-time>

The date that the object was originally created.

lastModifiedDate
string<date-time>

The date that the object was last updated or modified.

createdUserInfo
User Info · object
read-only

Details about the user who created the object.

lastModifiedUserInfo
User Info · object
read-only

Details about the user who last modified or updated the object.

organizationId
string

Identifies the organization.

name
string

The name of the engagement.

billingCode
string

A unique code that associates engagements and analyses with clients to ensure those clients are billed appropriately for MindBridge usage.

libraryId
string

Identifies the library.

accountingPeriod
Accounting Period · object

Details about the accounting period.

auditPeriodEndDate
string<date>

The last day of the occurring audit.

accountingPackage
string

The ERP or financial management system that your client is using.

industry
string

The type of industry that your client operates within.

engagementLeadId
string

Identifies the user who will lead the engagement.

reportingPeriodConfigurationId
string

Identifies the associated reporting period configuration. If null the analyses use a standard reporting period.

auditorIds
string[]

Identifies the users who will act as auditors in the engagement.

emailSubscriptions
object

Identifies the users who will receive email notifications related to this engagement.